package com.bocloud.cmp.model;

import java.math.BigDecimal;

/**
 * 额外配置实体类
 *
 * @author tanshaolong
 */
public class FlavorExtraSpecsModel {
    private Integer priority; // 可用性优先级
    private Boolean dedicatedProc; // 是否共享处理器
    private BigDecimal maxMem; // 最大内存
    private BigDecimal minMem; // 最小内存
    private Double maxProcUnits; // 最大处理器单元数
    private Double minProcUnits; // 最小处理器单元数
    private Double procUnits; // 处理器单元数
    private Integer maxVcpu; // 最大cpu
    private Integer minVcpu; // 最小cpu
    private Integer sharedWeight; // 共享权重
    private Boolean uncapped; // 是否限制
    private String procCompatibility; // 处理器兼容方式

    public Integer getPriority() {
        return priority;
    }

    public void setPriority(Integer priority) {
        this.priority = priority;
    }

    public Boolean getDedicatedProc() {
        return dedicatedProc;
    }

    public void setDedicatedProc(Boolean dedicatedProc) {
        this.dedicatedProc = dedicatedProc;
    }

    public BigDecimal getMaxMem() {
        return maxMem;
    }

    public void setMaxMem(BigDecimal maxMem) {
        this.maxMem = maxMem;
    }

    public BigDecimal getMinMem() {
        return minMem;
    }

    public void setMinMem(BigDecimal minMem) {
        this.minMem = minMem;
    }

    public Double getMaxProcUnits() {
        return maxProcUnits;
    }

    public void setMaxProcUnits(Double maxProcUnits) {
        this.maxProcUnits = maxProcUnits;
    }

    public Double getMinProcUnits() {
        return minProcUnits;
    }

    public void setMinProcUnits(Double minProcUnits) {
        this.minProcUnits = minProcUnits;
    }

    public Double getProcUnits() {
        return procUnits;
    }

    public void setProcUnits(Double procUnits) {
        this.procUnits = procUnits;
    }

    public Integer getMaxVcpu() {
        return maxVcpu;
    }

    public void setMaxVcpu(Integer maxVcpu) {
        this.maxVcpu = maxVcpu;
    }

    public Integer getMinVcpu() {
        return minVcpu;
    }

    public void setMinVcpu(Integer minVcpu) {
        this.minVcpu = minVcpu;
    }

    public Integer getSharedWeight() {
        return sharedWeight;
    }

    public void setSharedWeight(Integer sharedWeight) {
        this.sharedWeight = sharedWeight;
    }

    public Boolean getUncapped() {
        return uncapped;
    }

    public void setUncapped(Boolean uncapped) {
        this.uncapped = uncapped;
    }

    public String getProcCompatibility() {
        return procCompatibility;
    }

    public void setProcCompatibility(String procCompatibility) {
        this.procCompatibility = procCompatibility;
    }
}
